# Operator - Provisioning PGP Keypair 

## Requirements

The initial set up requires the provisioner and operator to do all of these in a continuous session ensuring dual custody. Ensure that all participants are familiar with the sub-processes so that the ceremony can be completed in one working day.

* 3 individuals in order to have the flexibility for washroom breaks, fetching food and drinks etc. 

* AirgapOS SD Card: [Provisioning Guide](./provision-airgapos.md)

* Tamper Proofing Equipment: [Provisioning Guide](./provision-tamper-proofing-equipment.md)

* Smart Cards (whatever number of PGP keys are being provisioned): [Smart Cards](../../../../component-documents/hardware-models.md#smart-cards)

* SD Cards: [Provisioning Guide](./provision-sd-card.md)

* Designated facility

## Procedure

### Procure Hardware

{{ #include ../../../../component-documents/hardware-procurement-and-chain-of-custody.md:steps }}

### Ceremony 

1. Enter the designated facility with an operator and individual keys are being generated for and all required equipment

1. Lock access to the facility - there should be no inflow or outflow of people during the ceremony if avoidable. During a long ceremony as this one this may be unavoidable.

1. Gut the laptop before using it: radio cards, speakers, microphones, storage drive

1. Boot AirgapOS from verified SD card

1. Check AirgapOS hashes when it's booted

### Generating PGP Keys and Seeding Cards

{{ #include ../../../../component-documents/openpgp-setup.md:steps-keyfork}}

### Tamper Proofed Bundle

The following objects should be in the bundle:

* AirgapOS SD Cards

* Airgapped computer

{{ #include ../../../../component-documents/tamper-evidence-methods.md:vsbwf-procedure-sealing}}

1. Create tamper proofed bundle (airgapos, laptop)

1. Submit evidence to ceremonies repo
